View a markdown version of this page

GetPaymentManager - Amazon Bedrock AgentCore Control Plane

GetPaymentManager

Retrieves information about a specific payment manager.

Request Syntax

GET /payments/managers/paymentManagerId HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

paymentManagerId

The unique identifier of the payment manager to retrieve.

Length Constraints: Minimum length of 12. Maximum length of 211.

Pattern: ([0-9a-z][-]?){1,100}-[0-9a-z]{10}

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "authorizerConfiguration": { ... }, "authorizerType": "string", "createdAt": "string", "description": "string", "lastUpdatedAt": "string", "name": "string", "paymentManagerArn": "string", "paymentManagerId": "string", "roleArn": "string", "status": "string", "tags": { "string" : "string" }, "workloadIdentityDetails": { "workloadIdentityArn": "string" } }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

authorizerConfiguration

Represents inbound authorization configuration options used to authenticate incoming requests.

Type: AuthorizerConfiguration object

Note: This object is a Union. Only one member of this object can be specified or returned.

authorizerType

The type of authorizer used by the payment manager.

  • CUSTOM_JWT - Authorize with a bearer token.

  • AWS_IAM - Authorize with your AWS IAM credentials.

Type: String

Valid Values: CUSTOM_JWT | AWS_IAM

createdAt

The timestamp when the payment manager was created.

Type: Timestamp

description

The description of the payment manager.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 4096.

Pattern: [a-zA-Z0-9\s]+

lastUpdatedAt

The timestamp when the payment manager was last updated.

Type: Timestamp

name

The name of the payment manager.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 48.

Pattern: [a-zA-Z][a-zA-Z0-9]{0,47}

paymentManagerArn

The Amazon Resource Name (ARN) of the payment manager.

Type: String

Length Constraints: Minimum length of 66. Maximum length of 2048.

Pattern: arn:(-[^:]+)?:bedrock-agentcore:[a-z0-9-]+:[0-9]{12}:payment-manager/([0-9a-z][-]?){1,48}-[a-z0-9]{10}

paymentManagerId

The unique identifier of the payment manager.

Type: String

Length Constraints: Minimum length of 12. Maximum length of 211.

Pattern: ([0-9a-z][-]?){1,100}-[0-9a-z]{10}

roleArn

The Amazon Resource Name (ARN) of the IAM role associated with the payment manager.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: arn:aws(-[^:]+)?:iam::([0-9]{12})?:role/.+

status

The current status of the payment manager. Possible values include CREATING, READY, UPDATING, DELETING, CREATE_FAILED, UPDATE_FAILED, and DELETE_FAILED.

Type: String

Valid Values: CREATING | UPDATING | DELETING | READY | CREATE_FAILED | UPDATE_FAILED | DELETE_FAILED

tags

The tags associated with the payment manager.

Type: String to string map

Map Entries: Minimum number of 0 items. Maximum number of 50 items.

Key Length Constraints: Minimum length of 1. Maximum length of 128.

Key Pattern: [a-zA-Z0-9\s._:/=+@-]*

Value Length Constraints: Minimum length of 0. Maximum length of 256.

Value Pattern: [a-zA-Z0-9\s._:/=+@-]*

workloadIdentityDetails

The information about the workload identity.

Type: WorkloadIdentityDetails object

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

This exception is thrown when a request is denied per access permissions

HTTP Status Code: 403

InternalServerException

This exception is thrown if there was an unexpected error during processing of request

HTTP Status Code: 500

ResourceNotFoundException

This exception is thrown when a resource referenced by the operation does not exist

HTTP Status Code: 404

ThrottlingException

This exception is thrown when the number of requests exceeds the limit

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: